\documentclass{amsart}

\usepackage{fullpage}
\usepackage{indentfirst}

\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage{amsfonts}
\usepackage{mathtools}

\begin{document}

do,commas,imply,spaces?

\begin{align*}
m(m(g,h),k) &= m((\rho^{-1}(\rho(\gamma) \ast \rho(\eta)))(1), k) \\
        &= \rho^{-1}\left[ \rho(\rho^{-1}(\rho(\gamma) \ast \rho(\eta)) \ast \rho(\kappa) \right](1) \\
        &= \rho^{-1}\left. \rho(\gamma) \ast \rho(\eta) \ast \rho(\kappa) \right](1) \\
        &= \rho^{-1}\left\{ \rho(\gamma) \ast \rho(\rho^{-1}(\rho(\eta) \ast \rho(\kappa)))\right\}(1) \\
        &= m(g, \rho^{-1}(\rho(\eta) \ast \rho(\kappa))) \\
        &= m(g, m(h, k))
\end{align*}

\end{document}
